package com.zanxiang.game.back.serve.controller.api;

import com.zanxiang.game.back.serve.pojo.dto.GameOceanengineAppCallbackDTO;
import com.zanxiang.game.back.serve.service.IGameOceanengineAppCallbackService;
import com.zanxiang.module.util.JsonUtil;
import com.zanxiang.module.util.pojo.ResultVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 头条监测链接
 */
@Slf4j
@RestController
@RequestMapping("/api/oceanengineCallback")
public class OceanengineCallbackApi {

    @Autowired
    private IGameOceanengineAppCallbackService gameOceanengineAppCallbackService;

    // https://xxxx.xxx.com?promotionid=__PROMOTION_ID__&mid1=__MID1__&idfa=__IDFA__&mac=__MAC__&os=__OS__&TIMESTAMP=__TS__&callback=__CALLBACK_PARAM__
    @GetMapping("/callback")
    public ResultVO<Boolean> callback(GameOceanengineAppCallbackDTO dto) {
        log.info("头条监测链接：{}", JsonUtil.toString(dto));
        return ResultVO.ok(gameOceanengineAppCallbackService.callback(dto));
    }
}
