package com.zanxiang.game.back.serve.controller.api;

import com.zanxiang.game.back.serve.pojo.dto.GameTencentAppCallbackDTO;
import com.zanxiang.game.back.serve.service.IGameTencentAppCallbackService;
import com.zanxiang.module.util.JsonUtil;
import com.zanxiang.module.util.pojo.ResultVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 腾讯监测链接
 */
@Slf4j
@RestController
@RequestMapping("/api/tencentCallback")
public class TencentCallbackApi {
    @Autowired
    private IGameTencentAppCallbackService gameTencentAppCallbackService;

    // https://www.example.com/click/?click_id=__CLICK_ID__&click_time=__CLICK_TIME__&adgroup_id=__ADGROUP_ID__&ad_platform_type=__AD_PLATFORM_TYPE__&ad_type=__AD_TYPE__&account_id=__ACCOUNT_ID__&agency_id=__AGENCY_ID__&click_sku_id=__CLICK_SKU_ID__&billing_event=__BILLING_EVENT__&device_os_type=__DEVICE_OS_TYPE__&process_time=__PROCESS_TIME__&promoted_object_type=__PROMOTED_OBJECT_TYPE__&request_id=__REQUEST_ID__&callback=__CALLBACK__&adgroup_name=__ADGROUP_NAME__&dynamic_creative_id=__DYNAMIC_CREATIVE_ID__&dynamic_creative_name=__DYNAMIC_CREATIVE_NAME__&creative_components_info=__CREATIVE_COMPONENTS_INFO__&element_info=__ELEMENT_INFO__&marketing_goal=__MARKETING_GOAL__&marketing_sub_goal=__MARKETING_SUB_GOAL__&marketing_target_id=__MARKETING_TARGET_ID__&marketing_carrier_id=__MARKETING_CARRIER_ID__&marketing_sub_carrier_id=__MARKETING_SUB_CARRIER_ID__&marketing_asset_id=__MARKETING_ASSET_ID__&material_package_id=__MATERIAL_PACKAGE_ID__&hash_android_id=__HASH_ANDROID_ID__&hash_oaid=__HASH_OAID__&muid=__MUID__
    @GetMapping("/callback")
    public ResultVO<Boolean> callback(GameTencentAppCallbackDTO dto) {
        log.info("腾讯监测链接：{}", JsonUtil.toString(dto));
        return ResultVO.ok(gameTencentAppCallbackService.callback(dto));
    }
}
